Tra cứu trạng thái của các tin nhắn ZNS đã gửi. Hỗ trợ tra cứu theo mã tin nhắn (sms_guid) hoặc theo khoảng thời gian.


Request Information

Link Request API (METHOD POST):

https://api.abenla.com/zbs/message/status


Information Request

URI Parameters

None.

Request Body Parameters

Name Description Type
sms_guid

Mã định danh tin nhắn cần tra cứu.

string
brand_name

Tên thương hiệu (Brandname) đại diện gửi tin nhắn

string
from_date

Thời gian bắt đầu lọc (Định dạng: yyyy-MM-dd).

string
to_date

Thời gian kết thúc lọc (Định dạng: yyyy-MM-dd).

string
login_name

Tên tài khoản đăng nhập hoặc định danh người dùng API.

string
sign

Chữ ký bảo mật (hash MD5) dùng để xác thực tính toàn vẹn của yêu cầu.

View More
string

Request Formats

application/json, text/json, text/html

Sample:
{
  "sms_guid": "550e8400-e29b-41d4-a716-446655440000",
  "brand_name": "Abenla",
  "from_date": "2026-06-11",
  "to_date": "2026-06-12",
  "login_name": "ABL1234",
  "sign": "691a5659131a04e0a831472e7a4ba33b"
}

Response Information

Resource Description

Name Description Type
sms_list

Danh sách chi tiết trạng thái tin nhắn tìm thấy.

Collection of SmsInfo
code

Mã lỗi trả về từ hệ thống (enum).
Error code returned from the system (enum type).

ErrorCode
message

Thông điệp lỗi hoặc mô tả phản hồi.
Error message or response description.

string

Response Formats

application/json, text/json, text/html

Sample:
{
  "sms_list": [
    {
      "sms_guid": "550e8400-e29b-41d4-a716-446655440000",
      "sms_status": 3,
      "sent_date": "2026-06-11 15:09:08"
    }
  ],
  "code": 106,
  "message": "Success"
}